-- ##############################################
-- #	Manure Overlay Hud Script				#
-- #	version: v1.0							#
-- #	Date: 23.09.2013						#
-- #	author: [FSM]Chefkoch					#
-- #											#
-- # 	Keine Vernderung ohne					# 
-- # 	meine Erlaubnis!						#
-- # 	No modification without					# 
-- # 	my permission!							#
-- #											#
-- #	History:								#
-- #	v1.0 = Projekt started					#
-- #											#
-- ############################################## 

g_ManureHudDir = g_currentModDirectory;

manureHud = {};

function manureHud.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function manureHud:load(xmlFile)
	if not g_currentMission.fillTypeOverlays[Fillable.FILLTYPE_MANURE] then
		local overLay = g_currentMission.fillTypeOverlays[1];
		g_currentMission.fillTypeOverlays[Fillable.FILLTYPE_MANURE] = Overlay:new("manure", g_ManureHudDir.."Textures/manureHud.dds", overLay.x, overLay.y, overLay.width, overLay.height);
	end
end;

function manureHud:delete()
end;

function manureHud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function manureHud:keyEvent(unicode, sym, modifier, isDown)
end;

function manureHud:update(dt)
end;

function manureHud:draw()
	if self.currentFillType ~= Fillable.FILLTYPE_UNKNOWN then
        g_currentMission:setFillTypeOverlayFillType(self.currentFillType);
    end;
end;